Package gov.nasa.gsfc.sscweb.schema

# Class GraphFormatOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GraphFormatOptions

public class GraphFormatOptions extends Object
Manual scale values for an SSC graphing request. <p>Java class for GraphFormatOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GraphFormatOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="CustomLabelOptions" type="{http://sscweb.gsfc.nasa.gov/schema}GraphLabelOptions" minOccurs="0"/> <element name="CharSize" type="{http://www.w3.org/2001/XMLSchema}float"/> <element name="SymbolSize" type="{http://www.w3.org/2001/XMLSchema}float"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected float`
  `charSize`
  Specifies the character size.
  `protected GraphLabelOptions`
  `customLabelOptions`
  Specifies custom labels.
  `protected float`
  `symbolSize`
  Specifies the symbol and tick size.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphFormatOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getCharSize()`
  Specifies the character size.
  `GraphLabelOptions`
  `getCustomLabelOptions()`
  Specifies custom labels.
  `float`
  `getSymbolSize()`
  Specifies the symbol and tick size.
  `void`
  `setCharSize(float value)`
  Sets the value of the charSize property.
  `void`
  `setCustomLabelOptions(GraphLabelOptions value)`
  Sets the value of the customLabelOptions property.
  `void`
  `setSymbolSize(float value)`
  Sets the value of the symbolSize property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### customLabelOptions

    protected GraphLabelOptions customLabelOptions
    Specifies custom labels. If not present, use auto labeling.

  - ### charSize

    protected float charSize
    Specifies the character size.

  - ### symbolSize

    protected float symbolSize
    Specifies the symbol and tick size.

- ## Constructor Details

  - ### GraphFormatOptions

    public GraphFormatOptions()

- ## Method Details

  - ### getCustomLabelOptions

    public GraphLabelOptions getCustomLabelOptions()
    Specifies custom labels. If not present, use auto labeling.
    Returns:
      possible object is `GraphLabelOptions`

  - ### setCustomLabelOptions

    public void setCustomLabelOptions(GraphLabelOptions value)
    Sets the value of the customLabelOptions property.
    Parameters:
      `value` - allowed object is `GraphLabelOptions`
    See Also:
      - `getCustomLabelOptions()`

  - ### getCharSize

    public float getCharSize()
    Specifies the character size.

  - ### setCharSize

    public void setCharSize(float value)
    Sets the value of the charSize property.

  - ### getSymbolSize

    public float getSymbolSize()
    Specifies the symbol and tick size.

  - ### setSymbolSize

    public void setSymbolSize(float value)
    Sets the value of the symbolSize property.